package info.bukova.isspst.ui.main.orders.requirements;

import info.bukova.isspst.data.Requirement;
import info.bukova.isspst.data.Workgroup;
import info.bukova.isspst.filters.RequirementFilter;
import info.bukova.isspst.services.requirement.RequirementService;
import info.bukova.isspst.services.users.UserService;
import info.bukova.isspst.services.workgroups.WorkgroupService;
import info.bukova.isspst.ui.requirement.RequirementSubpage;

import java.util.List;

import org.zkoss.bind.annotation.Init;
import org.zkoss.zk.ui.select.annotation.WireVariable;

public class ReqListMyWorkgroups extends RequirementSubpage<Requirement>
{

	@WireVariable
	private RequirementService requirementService;

	@WireVariable
	private UserService userService;

	@WireVariable
	private WorkgroupService workgroupService;

	public List<Workgroup> getCentres()
	{
		return workgroupService.getUserCentres(userService.getCurrent());
	}

	@Init
	public void init()
	{
		super.init();
		service = requirementService;
		dataClass = Requirement.class;
		formZul = "reqForm.zul";
		dataFilter = new RequirementFilter(getFilterTemplate());
	}

	@Override
	protected List<Requirement> getListFromService()
	{
		return super.getListFromService();
	}
}
